#import "/src/lib.typ" as functastic

#set page(width: auto, height: auto)

#functastic.sign-table(
  ($-oo$, $-1$, $x_0$, $1$, $3$, $+oo$),
  espcl: 2.6,
  {
    import functastic: *

    sign-line(
      $f_7'(x)$,
      (none, $-$, "d", $-$, "t", $-$, "d", "h", "d", $+$, none)
    )
    sign-line(
      $f_7''(x)$,
      (none, $-$, "d", $+$, $0$, $-$, "d", "h", "d", $-$, none)
    )
    func-line(
      $f_7(x)$,
      mult: 2,
      (
        val(asymp($y=-1$), "top"),
        disc(($-oo$, "bottom"), ($+oo$, "top")),
        none,
        disc(center: ($0$, "bottom"), eod: true),
        disc(center: ($0$, "bottom")),
        val(asymp($y=1$), "top"),
        inter($y_0$, 2, 4, i: 2)
      )
    )
    convex-line(
      "concavité",
      mult: 2,
      (
        none,
        false,
        "AV",
        true,
        "PI",
        false,
        none,
        none,
        none,
        false,
        none
      )
    )
  }
)

#pagebreak()

#functastic.sign-table(
  ($-oo$, $-sqrt(2)/2$, $(3 - sqrt(5))/4$, $sqrt(2)/2$, $1$, $(3 + sqrt(5))/4$, $+oo$),
  espcl: 2.5,
  {
    import functastic: *
    sign-line($f'(x)$, (none, $-$, "d", "h", none, "h", "d", $-$, $0$, $+$, "t", $+$, none))

    sign-line($f''(x)$, (none, $-$, "d", "h", none, "h", "d", $+$, "t", $+$, $0$, $-$, none))

    func-line($f(x)$, mult: 2, (
      val(asymp($-2sqrt(2)$), "top"),
      disc(($-oo$, "bottom"), eod: true),
      disc(eod: true),
      disc(right: ($+oo$, "top")),
      val($2$, "bottom"),
      none,
      val(asymp($2sqrt(2)$), "top"),
      inter($(2sqrt(1 + sqrt(5))) / sqrt(3)$, 3, 4, i: 5)
    ))

    convex-line("concavité", (
      none,
      false,
      "AV",
      none,
      none,
      none,
      "AV",
      true,
      none,
      true,
      "PI",
      false,
      none
    ))
  }
)